/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.Date;


/**
 * dw同步表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-11-24 12:13:20  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "dw同步表")
public class MqSynchronizeTask extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_taskInfo = "taskInfo";
  public static final String KEY_type = "type";
  public static final String KEY_createdTime = "createdTime";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 36, message="-id: 数据长度不能 > 36" )
  private String id;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 65535, message="-taskInfo: 数据长度不能 > 65535" )
  private String taskInfo;
  /**
   * 0-自动化用例，1-脚本，2-业务组件，3-脚本版本<br>
   */
  @ApiModelProperty("0-自动化用例，1-脚本，2-业务组件，3-脚本版本")
  private Integer type;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Date createdTime;

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * <br>
   */
  public String getTaskInfo()
  {
      return taskInfo;
    }

  /**
   * <br>
   *
   * @param taskInfo 
   */
  public void setTaskInfo(String taskInfo)
  {
      this.taskInfo = taskInfo;
    }
  /**
   * 0-自动化用例，1-脚本，2-业务组件，3-脚本版本<br>
   */
  public Integer getType()
  {
      return type;
    }

  /**
   * 0-自动化用例，1-脚本，2-业务组件，3-脚本版本<br>
   *
   * @param type 0-自动化用例，1-脚本，2-业务组件，3-脚本版本
   */
  public void setType(Integer type)
  {
      this.type = type;
    }
  /**
   * <br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * <br>
   *
   * @param createdTime 
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }

  public MqSynchronizeTask()
  {
  }

}
